package com.ruoyi.system.domain.houseInfo;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物业费设置对象 property_settings
 * 
 * @author boman
 * @date 2025-03-11
 */
public class PropertySettings extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 物业费信息主键 */
    private Long settingsId;

    /** 应缴物业费用 */
    @Excel(name = "应缴物业费用")
    private BigDecimal tenementExpense;

    /** 应缴车位费用 */
    @Excel(name = "应缴车位费用")
    private BigDecimal parkingExpense;

    /** 应缴能耗费用 */
    @Excel(name = "应缴能耗费用")
    private BigDecimal energyExpense;

    /** 是否删除，Y表示删除，N表示有效 */
    @Excel(name = "是否删除，Y表示删除，N表示有效")
    private String isDel;

    public void setSettingsId(Long settingsId) 
    {
        this.settingsId = settingsId;
    }

    public Long getSettingsId() 
    {
        return settingsId;
    }
    public void setTenementExpense(BigDecimal tenementExpense) 
    {
        this.tenementExpense = tenementExpense;
    }

    public BigDecimal getTenementExpense() 
    {
        return tenementExpense;
    }
    public void setParkingExpense(BigDecimal parkingExpense) 
    {
        this.parkingExpense = parkingExpense;
    }

    public BigDecimal getParkingExpense() 
    {
        return parkingExpense;
    }
    public void setEnergyExpense(BigDecimal energyExpense) 
    {
        this.energyExpense = energyExpense;
    }

    public BigDecimal getEnergyExpense() 
    {
        return energyExpense;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("settingsId", getSettingsId())
            .append("tenementExpense", getTenementExpense())
            .append("parkingExpense", getParkingExpense())
            .append("energyExpense", getEnergyExpense())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
